Tuxum Actualiza
System Software
Score 62%
Description:

Actualiza is Tuxum's semi-automatic update program for apt based systems. With a simple GUI this apt front-end lets you manage the programs / components in you computer and helps you to keep it updated by showing the available updates by means of an applet. It features a powerful progressive search engine and a repository manager which allows you to add or remove repositories easily.

Main features:

[li]Multiple tab navigation for separated repositories. [/li]
[li]Progressive search engine. [/li]
[li]Repository manager. [/li]
[li]Status / Quick access applet. [/li]
[li]Install, update, remove and re-install features. [/li]
[li]Easy to use repository manager, with optional name and tags to classify data. [/li]

texstar

10 years ago

Any ideas on how to get past this compile error?

g++ -I/usr/lib/qt3/include -DQT_THREAD_SUPPORT -I/usr/include -Wall -Werror -DTUXUM_ACTUALIZA -DPREFIX=\"/usr//\" -DVERSION=\"0.8.0\" -g -O3 -c -o SourcesList.o SourcesList.cpp
cc1plus: warnings being treated as errors
/usr/lib/qt3/include/qptrlist.h: In member function ‘void QPtrList<type>::deleteItem(void*) [with type = KConfigBackEnd]’:
SourcesList.cpp:389: instantiated from here
/usr/lib/qt3/include/qptrlist.h:150: warning: possible problem detected in invocation of delete operator:
/usr/lib/qt3/include/qptrlist.h:150: warning: invalid use of undefined type ‘struct KConfigBackEnd’
/usr/include/kconfigbase.h:38: warning: forward declaration of ‘struct KConfigBackEnd’
/usr/lib/qt3/include/qptrlist.h:150: note: neither the destructor nor the class-specific operator delete will be called, even if they are declared when the class is defined.
make: *** [SourcesList.o] Error 1

Report

C

dmoreno

10 years ago

I dont know why it is giving that warning, but remove the -Werror from the generated Makefile and it should compile, although with a warning.

Report

seraphyn

10 years ago

At first, nice Tool.
I build up a Debian Etch deb, this one compiles fine without any problems.
But the Licencseaggrement at the beginning should not dissapear imo, this has nothing to do with Debian Etch ;)
A Keymanagementsystem for the repositories would be nice for beginners, some users got problems with that.

It looks like that the search is only for the repository in the active tab, it would be nice to have a search tab and the search will use all repositories.

For a better complete picture change the tabs to the left side among each other and use, as i said above, a search tab and one for the updates.

Nice software, and i think a little bit better than adept and other ones. keep up the good work.

Greetings seraphyn

Report

C

dmoreno

10 years ago

The search function go through all repositories, but stops only when a match is found.

I will annotate all the other request (the key management, upgrade and search tabs) for the next release.

Thanks.

Report

jackiebrown

10 years ago

I use the amd branch so I can't use your deb.

While compiling the first problem was that uic-qt and moc-qt is detected by the configure as uic and moc.

That got me past the first error.

The next is:
g++ -I/usr/share/qt3/include -DQT_THREAD_SUPPORT -I/usr/include/kde -Wall -Werror -DTUXUM_ACTUALIZA -DPREFIX=\"/usr//\" -DVERSION=\"0.8.0\" -g -O3 -c -o SourcesList.o SourcesList.cpp
cc1plus: warnings being treated as errors
SourcesList.cpp: In member function ‘void SourcesList::updateRepositories(bool)’:
SourcesList.cpp:190: warning: format ‘%d’ expects type ‘int’, but argument 4 has type ‘size_t’
make: *** [SourcesList.o] Error 1

Report

jackiebrown

10 years ago

I tried commenting out that
107 to 113 in hopes that I did not need that file defined. I just get the error again at line 190

Any way you build build this deb for all instead of i386?

Report

C

dmoreno

10 years ago

I will check the uic and moc issues as soon as possible.

The soucesList.cpp:190 is fixed at the svn repository. Can you check, please?

Thanks for your comments.

Report

texstar

10 years ago

Some sysmes have moc and uic in

/usr/lib/qt3/bin

so a quick edit of scams.py with this path added will fix it.

Report

jackiebrown

10 years ago

I build the one is svn but that version requires registration at http://www.tuxum.com/

Unfortunately I have only learned one language so I could not make much sense of the site.

Still, by the screen-shot it looks like a swell app.

Report

C

dmoreno

10 years ago

You can skip the registration form by clicking on the 'Cancel' button, or just the ESC key and it will use your configured repositories.

Report

product-maker 8 17

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.8.0
updated Jul 17 2007
added Jul 17 2007
downloads today
0
page views today 2